Package org.eclipse.emf.cdo.spi.common

## Class CDOLobStoreImpl

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.CDOLobStoreImpl

- All Implemented Interfaces:
    `CDOLobStore`

      public class CDOLobStoreImpl
      extends java.lang.Object
      implements CDOLobStore

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobStore

      `CDOLobStore.Delegating`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOLobStoreImpl` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOLobStoreImpl()` |
    `CDOLobStoreImpl​(java.io.File folder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.security.MessageDigest` | `createDigest()` |
    `java.io.InputStream` | `getBinary​(CDOLobInfo info)` |
    `java.io.File` | `getBinaryFile​(byte[] id)` |
    `java.io.Reader` | `getCharacter​(CDOLobInfo info)` |
    `java.io.File` | `getCharacterFile​(byte[] id)` |
    `java.io.File` | `getFolder()` |
    `protected java.io.File` | `getTempFile()` |
    `long` | `getTimeout()` |
    `CDOLobInfo` | `putBinary​(java.io.InputStream contents)` |
    `CDOLobInfo` | `putCharacter​(java.io.Reader contents)` |
    `void` | `setTimeout​(long timeout)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOLobStoreImpl INSTANCE

  - ### Constructor Detail

    - #### CDOLobStoreImpl

          public CDOLobStoreImpl​(java.io.File folder)

    - #### CDOLobStoreImpl

          public CDOLobStoreImpl()

  - ### Method Detail

    - #### getTimeout

          public long getTimeout()

      Since:
        4.8

    - #### setTimeout

          public void setTimeout​(long timeout)

      Since:
        4.8

    - #### getFolder

          public java.io.File getFolder()

    - #### getBinaryFile

          public java.io.File getBinaryFile​(byte[] id)

      Specified by:
        `getBinaryFile` in interface `CDOLobStore`

    - #### getBinary

          public java.io.InputStream getBinary​(CDOLobInfo info)
                                        throws java.io.IOException

      Specified by:
        `getBinary` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### putBinary

          public CDOLobInfo putBinary​(java.io.InputStream contents)
                               throws java.io.IOException

      Specified by:
        `putBinary` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### getCharacterFile

          public java.io.File getCharacterFile​(byte[] id)

      Specified by:
        `getCharacterFile` in interface `CDOLobStore`

    - #### getCharacter

          public java.io.Reader getCharacter​(CDOLobInfo info)
                                      throws java.io.IOException

      Specified by:
        `getCharacter` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### putCharacter

          public CDOLobInfo putCharacter​(java.io.Reader contents)
                                  throws java.io.IOException

      Specified by:
        `putCharacter` in interface `CDOLobStore`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createDigest

          protected java.security.MessageDigest createDigest()

    - #### getTempFile

          protected java.io.File getTempFile()